package Epoll::DB::ImportV;

use strict;
use warnings;
use YAML;

sub new {
    my ($class, $type) = @_;

    my $ctype = ucfirst(lc($type));
    
    eval "require Epoll::DB::ImportV::$ctype;";
    if ($@) { return; }
    else {
        return bless({}, "Epoll::DB::ImportV::$ctype");
    }
}

sub auth_type {
    my ($self) = @_;
    ((ref $self) =~ /::([^:]+)$/)[0];
}

sub load_web_params {
    my ($self, $c) = @_;
    $self->{params} = { %{ $c->req->params || {} } };
} 

sub xml_params { dump_params(@_) }

sub dump_params {
    my ($self) = @_;
    YAML::Dump($self->{params});
}

sub load_xml_params { load_dump_params(@_) }

sub load_dump_params {
    my ($self, $data) = @_;
    $self->{params} = YAML::Load($data);
    1;
}

sub can_authenticate {
    my ($self) = @_;
    $self->can('authenticate');
}

=head2 fetch_voters

Must return an array of arrayref with for each item:

=over4

=item Email of the voters

=item Name of the voters

=item The UID/login to use over the remote system

=back

=cut

1;
