package Epoll::DB::ImportV::Csv;

use base qw(Epoll::DB::ImportV);

sub load_web_params {
    my ($self, $c) = @_;
    if (my ($upload) = $c->req->upload('votinglist')) {
        $fh = $upload->fh;
        while (my $line = <$fh>) {
            chomp($line);
            my ($mail, $name) = split(';', $line);
            $mail or do {
                $self->{params}{list} = undef;
                return;
            };
            push(@{$self->{params}{list}}, { mail => $mail, name => $name || '' });
        }
    }
}

sub fetch_voters {
    my ($self) = @_;

    return map { [ $_->{mail}, $_->{name} ] } @{$self->{params}{list} || []};
}

1;
