package Epoll::DB::Poll::BSubmit;

# $Id: BSubmit.pm 319 2010-06-01 08:48:29Z nanardon $

use strict;
use warnings;
use base 'Epoll::DB::Poll::Bdata';

=head1 NAME

Epoll::Model::Vote - Catalyst Model

=head1 DESCRIPTION

Catalyst Model.

=cut

sub set_voter {
    my ($self, $voter, $referal) = @_;
    $self->{voter} = $voter;
    $self->{referal} = $referal;
}

sub add_item {
    my ($self, $value, $weight) = @_;
    $value =~ s/^\s+//;
    $value =~ s/\s+$//;
    $value =~ s/\s+/ /g;
    $value = lc($value);
    $self->{data}{content}{$value} = $weight;
}

sub submit {
    my ($self) = @_;
    
    for (0..2) { # 3 try
        # First we register voting has voted
        $self->poll->_register_signing($self->{voter}, $self->{referal}) or return; # TODO error ?

        # registring choices
        if ($self->_store_crypted()) {
            last;
        } else {
            $self->rollback;
            next;
        }

    }
        # everything went fine, saving!
    $self->commit;

    $self->uid
}


=head1 AUTHOR

Thauvin Olivier

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself or CeCILL.

=cut

1;
