package Epoll::View::TT;

use strict;
use base 'Catalyst::View::TT';
use Epoll;
use Epoll::DB;

__PACKAGE__->config(
    TEMPLATE_EXTENSION => '.tt',
    INCLUDE_PATH => Epoll->path_to( 'root', 'templates' ),
    PRE_PROCESS => [ 'includes/loc.tt', 'includes/header.tt', ],
    POST_PROCESS => 'includes/footer.tt',
    PLUGIN_BASE => 'Epoll::Template::Plugin',
    POST_CHOMP => 1,
    PRE_CHOMP => 1,
);

=head1 NAME

Epoll::View::TT - TT View for Epoll

=head1 DESCRIPTION

TT View for Epoll. 

=cut

sub process {
    my ($self, $c) = @_;

    $c->stash->{Epoll}{VERSION} = $Epoll::DB::VERSION;
    Catalyst::View::TT::process($self, $c);
}

=head1 SEE ALSO

L<Epoll>

=head1 AUTHOR

Thauvin Olivier

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself or CeCILL.

=cut

1;
